Index: branches/eli_branch/bin/module_maker/skel/public.php
===================================================================
--- branches/eli_branch/bin/module_maker/skel/public.php	(revision 437)
+++ branches/eli_branch/bin/module_maker/skel/public.php	(revision 438)
@@ -145,3 +145,2 @@
 include 'footer.ihtml';
 
-?>
Index: branches/eli_branch/bin/module_maker/validation.cli.php
===================================================================
--- branches/eli_branch/bin/module_maker/validation.cli.php	(revision 437)
+++ branches/eli_branch/bin/module_maker/validation.cli.php	(revision 438)
@@ -309,3 +309,2 @@
     " . join("\n    ", $o) . "
 }";
-?>
Index: branches/eli_branch/docs/examples/_config.inc.php
===================================================================
--- branches/eli_branch/docs/examples/_config.inc.php	(revision 437)
+++ branches/eli_branch/docs/examples/_config.inc.php	(revision 438)
@@ -170,3 +170,2 @@
 // require_once 'global/config.inc.php';
 
-?>
Index: branches/eli_branch/docs/examples/db_auth.inc.php
===================================================================
--- branches/eli_branch/docs/examples/db_auth.inc.php	(revision 437)
+++ branches/eli_branch/docs/examples/db_auth.inc.php	(revision 438)
@@ -35,3 +35,2 @@
     'db_pass' => '',
 ));
-?>
Index: branches/eli_branch/docs/examples/script_template.php
===================================================================
--- branches/eli_branch/docs/examples/script_template.php	(revision 437)
+++ branches/eli_branch/docs/examples/script_template.php	(revision 438)
@@ -60,3 +60,2 @@
 
 
-?>
Index: branches/eli_branch/lib/ACL.inc.php
===================================================================
--- branches/eli_branch/lib/ACL.inc.php	(revision 437)
+++ branches/eli_branch/lib/ACL.inc.php	(revision 438)
@@ -700,3 +700,2 @@
 
 
-?>
Index: branches/eli_branch/lib/AuthorizeNet.inc.php
===================================================================
--- branches/eli_branch/lib/AuthorizeNet.inc.php	(revision 437)
+++ branches/eli_branch/lib/AuthorizeNet.inc.php	(revision 438)
@@ -315,3 +315,2 @@
     }
 }
-?>
Index: branches/eli_branch/lib/Cache.inc.php
===================================================================
--- branches/eli_branch/lib/Cache.inc.php	(revision 437)
+++ branches/eli_branch/lib/Cache.inc.php	(revision 438)
@@ -270,3 +270,2 @@
 }
 
-?>
Index: branches/eli_branch/lib/Currency.inc.php
===================================================================
--- branches/eli_branch/lib/Currency.inc.php	(revision 437)
+++ branches/eli_branch/lib/Currency.inc.php	(revision 438)
@@ -251,3 +251,2 @@
 
 
-?>
Index: branches/eli_branch/lib/DB.inc.php
===================================================================
--- branches/eli_branch/lib/DB.inc.php	(revision 437)
+++ branches/eli_branch/lib/DB.inc.php	(revision 438)
@@ -436,3 +436,2 @@
 } // End.
 
-?>
Index: branches/eli_branch/lib/DBSessionHandler.inc.php
===================================================================
--- branches/eli_branch/lib/DBSessionHandler.inc.php	(revision 437)
+++ branches/eli_branch/lib/DBSessionHandler.inc.php	(revision 438)
@@ -171,3 +171,2 @@
 }
 
-?>
Index: branches/eli_branch/lib/Email.inc.php
===================================================================
--- branches/eli_branch/lib/Email.inc.php	(revision 437)
+++ branches/eli_branch/lib/Email.inc.php	(revision 438)
@@ -387,3 +387,2 @@
 }
 
-?>
Index: branches/eli_branch/lib/FormValidator.inc.php
===================================================================
--- branches/eli_branch/lib/FormValidator.inc.php	(revision 437)
+++ branches/eli_branch/lib/FormValidator.inc.php	(revision 438)
@@ -586,3 +586,2 @@
 } // THE END
 
-?>
Index: branches/eli_branch/lib/Hierarchy.inc.php
===================================================================
--- branches/eli_branch/lib/Hierarchy.inc.php	(revision 437)
+++ branches/eli_branch/lib/Hierarchy.inc.php	(revision 438)
@@ -852,3 +852,2 @@
 
 
-?>
Index: branches/eli_branch/lib/ImageThumb.inc.php
===================================================================
--- branches/eli_branch/lib/ImageThumb.inc.php	(revision 437)
+++ branches/eli_branch/lib/ImageThumb.inc.php	(revision 438)
@@ -875,3 +875,2 @@
 
 } // End of class.
-?>
Index: branches/eli_branch/lib/Lock.inc.php
===================================================================
--- branches/eli_branch/lib/Lock.inc.php	(revision 437)
+++ branches/eli_branch/lib/Lock.inc.php	(revision 438)
@@ -451,3 +451,2 @@
 
 } // End of class.
-?>
Index: branches/eli_branch/lib/MCVE.inc.php
===================================================================
--- branches/eli_branch/lib/MCVE.inc.php	(revision 437)
+++ branches/eli_branch/lib/MCVE.inc.php	(revision 438)
@@ -208,3 +208,2 @@
 // End of class.
 
-?>
Index: branches/eli_branch/lib/Prefs.inc.php
===================================================================
--- branches/eli_branch/lib/Prefs.inc.php	(revision 437)
+++ branches/eli_branch/lib/Prefs.inc.php	(revision 438)
@@ -423,3 +423,2 @@
 
 
-?>
Index: branches/eli_branch/services/admins.php
===================================================================
--- branches/eli_branch/services/admins.php	(revision 437)
+++ branches/eli_branch/services/admins.php	(revision 438)
@@ -551,3 +551,2 @@
 }
 
-?>
Index: branches/eli_branch/services/css.php
===================================================================
--- branches/eli_branch/services/css.php	(revision 437)
+++ branches/eli_branch/services/css.php	(revision 438)
@@ -36,3 +36,2 @@
 }
 
-?>
Index: branches/eli_branch/services/lock.php
===================================================================
--- branches/eli_branch/services/lock.php	(revision 437)
+++ branches/eli_branch/services/lock.php	(revision 438)
@@ -69,3 +69,2 @@
 include 'footer.ihtml';
 
-?>
Index: branches/eli_branch/services/login.php
===================================================================
--- branches/eli_branch/services/login.php	(revision 437)
+++ branches/eli_branch/services/login.php	(revision 438)
@@ -56,3 +56,2 @@
 include 'footer.ihtml';
 
-?>
Index: branches/eli_branch/services/logout.php
===================================================================
--- branches/eli_branch/services/logout.php	(revision 437)
+++ branches/eli_branch/services/logout.php	(revision 438)
@@ -38,3 +38,2 @@
 $app->dieURL($app->getParam('redirect_home_url'));
 
-?>
Index: branches/eli_branch/services/logs.php
===================================================================
--- branches/eli_branch/services/logs.php	(revision 437)
+++ branches/eli_branch/services/logs.php	(revision 438)
@@ -297,3 +297,2 @@
 
 
-?>
Index: branches/eli_branch/services/password.php
===================================================================
--- branches/eli_branch/services/password.php	(revision 437)
+++ branches/eli_branch/services/password.php	(revision 438)
@@ -87,3 +87,2 @@
 include 'footer.ihtml';
 
-?>
Index: branches/eli_branch/services/phpinfo.php
===================================================================
--- branches/eli_branch/services/phpinfo.php	(revision 437)
+++ branches/eli_branch/services/phpinfo.php	(revision 438)
@@ -38,3 +38,2 @@
 ?><h1>$_SERVER dump</h1><?php
 dump($_SERVER,1);
-?>
Index: branches/eli_branch/services/versions.php
===================================================================
--- branches/eli_branch/services/versions.php	(revision 437)
+++ branches/eli_branch/services/versions.php	(revision 438)
@@ -136,3 +136,2 @@
 include 'footer.ihtml';
 
-?>
Index: branches/eli_branch/tests/AppTest.php
===================================================================
--- branches/eli_branch/tests/AppTest.php	(revision 437)
+++ branches/eli_branch/tests/AppTest.php	(revision 438)
@@ -208,3 +208,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/Auth_FileTest.php
===================================================================
--- branches/eli_branch/tests/Auth_FileTest.php	(revision 437)
+++ branches/eli_branch/tests/Auth_FileTest.php	(revision 438)
@@ -120,3 +120,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/Auth_SQLTest.php
===================================================================
--- branches/eli_branch/tests/Auth_SQLTest.php	(revision 437)
+++ branches/eli_branch/tests/Auth_SQLTest.php	(revision 438)
@@ -276,3 +276,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/AuthorizeNetTest.php
===================================================================
--- branches/eli_branch/tests/AuthorizeNetTest.php	(revision 437)
+++ branches/eli_branch/tests/AuthorizeNetTest.php	(revision 438)
@@ -123,3 +123,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/CSSTest.php
===================================================================
--- branches/eli_branch/tests/CSSTest.php	(revision 437)
+++ branches/eli_branch/tests/CSSTest.php	(revision 438)
@@ -90,3 +90,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/CacheTest.php
===================================================================
--- branches/eli_branch/tests/CacheTest.php	(revision 437)
+++ branches/eli_branch/tests/CacheTest.php	(revision 438)
@@ -109,3 +109,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/DBSessionHandlerTest.php
===================================================================
--- branches/eli_branch/tests/DBSessionHandlerTest.php	(revision 437)
+++ branches/eli_branch/tests/DBSessionHandlerTest.php	(revision 438)
@@ -91,3 +91,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/EmailTest.php
===================================================================
--- branches/eli_branch/tests/EmailTest.php	(revision 437)
+++ branches/eli_branch/tests/EmailTest.php	(revision 438)
@@ -126,3 +126,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/FormValidatorTest.php
===================================================================
--- branches/eli_branch/tests/FormValidatorTest.php	(revision 437)
+++ branches/eli_branch/tests/FormValidatorTest.php	(revision 438)
@@ -298,3 +298,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/Google_APITest.php
===================================================================
--- branches/eli_branch/tests/Google_APITest.php	(revision 437)
+++ branches/eli_branch/tests/Google_APITest.php	(revision 438)
@@ -95,3 +95,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/HierarchyTest.php
===================================================================
--- branches/eli_branch/tests/HierarchyTest.php	(revision 437)
+++ branches/eli_branch/tests/HierarchyTest.php	(revision 438)
@@ -179,3 +179,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/ImageThumbTest.php
===================================================================
--- branches/eli_branch/tests/ImageThumbTest.php	(revision 437)
+++ branches/eli_branch/tests/ImageThumbTest.php	(revision 438)
@@ -123,3 +123,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/LockTest.php
===================================================================
--- branches/eli_branch/tests/LockTest.php	(revision 437)
+++ branches/eli_branch/tests/LockTest.php	(revision 438)
@@ -216,3 +216,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/MCVETest.php
===================================================================
--- branches/eli_branch/tests/MCVETest.php	(revision 437)
+++ branches/eli_branch/tests/MCVETest.php	(revision 438)
@@ -95,3 +95,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/NavTest.php
===================================================================
--- branches/eli_branch/tests/NavTest.php	(revision 437)
+++ branches/eli_branch/tests/NavTest.php	(revision 438)
@@ -137,3 +137,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/PEditTest.php
===================================================================
--- branches/eli_branch/tests/PEditTest.php	(revision 437)
+++ branches/eli_branch/tests/PEditTest.php	(revision 438)
@@ -158,3 +158,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/PageNumbersTest.php
===================================================================
--- branches/eli_branch/tests/PageNumbersTest.php	(revision 437)
+++ branches/eli_branch/tests/PageNumbersTest.php	(revision 438)
@@ -137,3 +137,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/PageSequenceTest.php
===================================================================
--- branches/eli_branch/tests/PageSequenceTest.php	(revision 437)
+++ branches/eli_branch/tests/PageSequenceTest.php	(revision 438)
@@ -186,3 +186,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/PayPalTest.php
===================================================================
--- branches/eli_branch/tests/PayPalTest.php	(revision 437)
+++ branches/eli_branch/tests/PayPalTest.php	(revision 438)
@@ -138,3 +138,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/PrefsTest.php
===================================================================
--- branches/eli_branch/tests/PrefsTest.php	(revision 437)
+++ branches/eli_branch/tests/PrefsTest.php	(revision 438)
@@ -116,3 +116,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/ScriptTimerTest.php
===================================================================
--- branches/eli_branch/tests/ScriptTimerTest.php	(revision 437)
+++ branches/eli_branch/tests/ScriptTimerTest.php	(revision 438)
@@ -81,3 +81,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/SortOrderTest.php
===================================================================
--- branches/eli_branch/tests/SortOrderTest.php	(revision 437)
+++ branches/eli_branch/tests/SortOrderTest.php	(revision 438)
@@ -95,3 +95,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/SpellCheckTest.php
===================================================================
--- branches/eli_branch/tests/SpellCheckTest.php	(revision 437)
+++ branches/eli_branch/tests/SpellCheckTest.php	(revision 438)
@@ -158,3 +158,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/TemplateGlueTest.php
===================================================================
--- branches/eli_branch/tests/TemplateGlueTest.php	(revision 437)
+++ branches/eli_branch/tests/TemplateGlueTest.php	(revision 438)
@@ -60,3 +60,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/UploadTest.php
===================================================================
--- branches/eli_branch/tests/UploadTest.php	(revision 437)
+++ branches/eli_branch/tests/UploadTest.php	(revision 438)
@@ -130,3 +130,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/UtilitiesTest.php
===================================================================
--- branches/eli_branch/tests/UtilitiesTest.php	(revision 437)
+++ branches/eli_branch/tests/UtilitiesTest.php	(revision 438)
@@ -60,3 +60,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/VersionTest.php
===================================================================
--- branches/eli_branch/tests/VersionTest.php	(revision 437)
+++ branches/eli_branch/tests/VersionTest.php	(revision 438)
@@ -194,3 +194,2 @@
 $result = PHPUnit::run($suite);
 echo $result->toString();
-?>
Index: branches/eli_branch/tests/_config.inc.php
===================================================================
--- branches/eli_branch/tests/_config.inc.php	(revision 437)
+++ branches/eli_branch/tests/_config.inc.php	(revision 438)
@@ -59,3 +59,2 @@
 
 $app->start();
-?>
Index: branches/eli_branch/tests/_skel.php
===================================================================
--- branches/eli_branch/tests/_skel.php	(revision 437)
+++ branches/eli_branch/tests/_skel.php	(revision 438)
@@ -78,3 +78,2 @@
 // }
 
-?>