Index: branches/eli_branch/lib/Lock.inc.php
===================================================================
--- branches/eli_branch/lib/Lock.inc.php	(revision 438)
+++ branches/eli_branch/lib/Lock.inc.php	(revision 439)
@@ -32,5 +32,5 @@
 
     // Configuration of this object.
-    var $_params = array(
+    private $_params = array(
         'timeout' => 600,
         'auto_timeout' => 1800,
@@ -44,8 +44,8 @@
 
     // Store lock data from DB.
-    var $data = array();
+    private $data = array();
 
     // Auth_SQL object from which to access a current user_id.
-    var $_auth;
+    private $_auth;
 
     /**
@@ -56,5 +56,5 @@
      * @static
      */
-    static function &getInstance($auth_object)
+    public static function &getInstance($auth_object)
     {
         static $instance = null;
@@ -72,5 +72,5 @@
      * @param mixed  $auth_object  An Auth_SQL or Auth_FILE object.
      */
-    function Lock($auth_object)
+    public function __construct($auth_object)
     {
 		$app =& App::getInstance();
@@ -95,5 +95,5 @@
      * @since   26 Aug 2005 17:09:36
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -142,5 +142,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -157,5 +157,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -178,5 +178,5 @@
      * @param string $title       A title to apply to the lock, for display purposes.
      */
-    function select($record_table_or_lock_id, $record_key=null, $record_val=null)
+    public function select($record_table_or_lock_id, $record_key=null, $record_val=null)
     {
 		$app =& App::getInstance();
@@ -219,5 +219,5 @@
      * @return bool            True if locked.
      */
-    function isLocked()
+    public function isLocked()
     {
         return isset($this->data['lock_id']);
@@ -230,5 +230,5 @@
      * @return bool            True if current user set the lock.
      */
-    function isMine()
+    public function isMine()
     {
 		$db =& DB::getInstance();
@@ -258,5 +258,5 @@
      * @return int            The id for the lock (mysql last insert id).
      */
-    function set($record_table, $record_key, $record_val, $title='')
+    public function set($record_table, $record_key, $record_val, $title='')
     {
 		$db =& DB::getInstance();
@@ -304,5 +304,5 @@
      * Unlock the currently selected record.
      */
-    function remove()
+    public function remove()
     {
 		$app =& App::getInstance();
@@ -326,5 +326,5 @@
      * Unlock all records, or all records for a specified user.
      */
-    function removeAll($user_id=null)
+    public function removeAll($user_id=null)
     {
 		$app =& App::getInstance();
@@ -350,5 +350,5 @@
      * Deletes all locks that are older than auto_timeout.
      */
-    function _auto_timeout()
+    private function _auto_timeout()
     {
 		$db =& DB::getInstance();
@@ -371,5 +371,5 @@
      * Redirect to record lock error page.
      */
-    function dieErrorPage()
+    public function dieErrorPage()
     {
 		$app =& App::getInstance();
@@ -381,5 +381,5 @@
      * Print error page.
      */
-    function printErrorHTML()
+    public function printErrorHTML()
     {
 		$app =& App::getInstance();
@@ -416,5 +416,5 @@
      * Return lock_id of locked record.
      */
-    function getID()
+    public function getID()
     {
         return $this->data['lock_id'];
@@ -424,5 +424,5 @@
      * Return title of locked record.
      */
-    function getTitle()
+    public function getTitle()
     {
         return $this->data['title'];
@@ -432,5 +432,5 @@
      * Return administrator username for locked record.
      */
-    function getEditor()
+    public function getEditor()
     {
         return $this->data['editor'];
@@ -440,5 +440,5 @@
      * Return total seconds since the record was locked.
      */
-    function getSecondsElapsed()
+    public function getSecondsElapsed()
     {
         if (isset($this->data['lock_datetime']) && strtotime($this->data['lock_datetime']) < time()) {