Index: trunk/services/admins.php
===================================================================
--- trunk/services/admins.php	(revision 441)
+++ trunk/services/admins.php	(revision 457)
@@ -27,6 +27,6 @@
 // require_once dirname(__FILE__) . '/_config.inc.php';
 
+$app->sslOn();
 $auth->requireLogin();
-$app->sslOn();
 
 require_once 'codebase/lib/PageNumbers.inc.php';
Index: trunk/services/lock.php
===================================================================
--- trunk/services/lock.php	(revision 441)
+++ trunk/services/lock.php	(revision 457)
@@ -28,6 +28,6 @@
 require_once 'codebase/lib/Lock.inc.php';
 
+$app->sslOn();
 $auth->requireLogin();
-$app->sslOn();
 
 if (getFormData('boomerang', false)) {
Index: trunk/services/logs.php
===================================================================
--- trunk/services/logs.php	(revision 441)
+++ trunk/services/logs.php	(revision 457)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -27,7 +27,6 @@
 // require_once dirname(__FILE__) . '/_config.inc.php';
 
+$app->sslOn();
 $auth->requireLogin();
-// $auth->requireAccessClearance(ZONE_ADMIN_APPLOG);
-$app->sslOn();
 
 require_once 'codebase/lib/PageNumbers.inc.php';
@@ -64,5 +63,5 @@
 ));
 if (getFormData('log', false)) {
-    $tmp_prefs->set('log_file', getFormData('log'));    
+    $tmp_prefs->set('log_file', getFormData('log'));
 }
 
@@ -80,5 +79,4 @@
 switch (getFormData('op')) {
 case 'delete' :
-//     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
     deleteLog($tmp_prefs->get('log_file'));
     $tmp_prefs->set('log_file', $app->getParam('log_filename'));
@@ -92,5 +90,4 @@
 
 case 'clear' :
-//     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
     clearLog($tmp_prefs->get('log_file'));
     if ($app->validBoomerangURL('app_log')) {
@@ -103,5 +100,4 @@
 
 case 'archive' :
-//     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
     if (archiveLog($tmp_prefs->get('log_file'))) {
         // Now flush current log.
Index: trunk/services/templates/admin_list.ihtml
===================================================================
--- trunk/services/templates/admin_list.ihtml	(revision 441)
+++ trunk/services/templates/admin_list.ihtml	(revision 457)
@@ -2,5 +2,5 @@
 <?php $fv->printErrorMessages(); ?>
 
-<div id="commandbox">
+<div class="commandbox">
     <span class="sc-nowrap commanditem"><a href="<?php echo $app->oHREF($_SERVER['PHP_SELF'] . '?op=add'); ?>"><?php echo _("Add Administrator"); ?></a></span>
     <form action="<?php echo oTxt($_SERVER['PHP_SELF']); ?>" method="get" class="sc-form">
@@ -38,15 +38,15 @@
         <td class="sc-nowrap"><?php echo oTxt($list[$i]['first_name'], true); ?> <?php echo oTxt($list[$i]['last_name'], true); ?> &nbsp;</td>
         <td class="sc-nowrap"><?php echo round($list[$i]['seconds_online'] / 60); ?> &nbsp;</td>
-        <td class="sc-nowrap"><?php 
+        <td class="sc-nowrap"><?php
             if ($auth->isLoggedIn($list[$i]['admin_id'])) {
                 ?><strong><?php echo date($app->getParam('date_format'), strtotime($list[$i]['last_login_datetime'])) ?></strong><?php
             } else {
-                echo '0000-00-00 00:00:00' == $list[$i]['last_login_datetime'] ? '' : date($app->getParam('date_format'), strtotime($list[$i]['last_login_datetime'])); 
+                echo Validator::validateStrDate($list[$i]['last_login_datetime']) ? date($app->getParam('date_format'), strtotime($list[$i]['last_login_datetime'])) : '';
             }
         ?> &nbsp;</td>
         <td class="sc-nowrap"><?php echo gethostbyaddr($list[$i]['last_login_ip']); ?> &nbsp;</td>
-        <td class="sc-nowrap"><?php echo '0000-00-00 00:00:00' == $list[$i]['added_datetime'] ? '' : date($app->getParam('date_format'), strtotime($list[$i]['added_datetime'])); ?> &nbsp;</td>
+        <td class="sc-nowrap"><?php echo Validator::validateStrDate($list[$i]['added_datetime']) ? date($app->getParam('date_format'), strtotime($list[$i]['added_datetime'])) : ''; ?> &nbsp;</td>
         <td class="sc-nowrap"><?php echo oTxt($list[$i]['added_admin_username'], true); ?> &nbsp;</td>
-        <td class="sc-nowrap"><?php echo '0000-00-00 00:00:00' == $list[$i]['modified_datetime'] ? '' : date($app->getParam('date_format'), strtotime($list[$i]['modified_datetime'])); ?> &nbsp;</td>
+        <td class="sc-nowrap"><?php echo Validator::validateStrDate($list[$i]['modified_datetime']) ? date($app->getParam('date_format'), strtotime($list[$i]['modified_datetime'])) : ''; ?> &nbsp;</td>
         <td class="sc-nowrap"><?php echo oTxt($list[$i]['modified_admin_username'], true); ?> &nbsp;</td>
         <td class="sc-padleft sc-nowrap" align="right"><a title="<?php printf(_("Delete %s"), oTxt($list[$i]['username'])) ?>" href="<?php echo $app->oHREF($_SERVER['PHP_SELF'] . "?op=del&admin_id=" . $list[$i]['admin_id']); ?>" onclick="javascript:return confirm('<?php printf(_("Are you sure you want to delete the record %s? This action is permanent and cannot be undone."), oTxt($list[$i]['username'])) ?>')"><img src="/admin/i/trash.gif" alt="Delete" width="10" height="10" border="0" /></a> &nbsp;</td>
Index: trunk/services/templates/log_list.ihtml
===================================================================
--- trunk/services/templates/log_list.ihtml	(revision 441)
+++ trunk/services/templates/log_list.ihtml	(revision 457)
@@ -1,5 +1,5 @@
 <form action="<?php echo oTxt($_SERVER['PHP_SELF']); ?>" method="get" class="sc-form">
 <?php $app->printHiddenSession(false); ?>
-<div id="commandbox">
+<div class="commandbox">
 <?php if (is_array($logs) && !empty($logs)) { ?>
     <table>
Index: trunk/services/templates/versions_diff.ihtml
===================================================================
--- trunk/services/templates/versions_diff.ihtml	(revision 441)
+++ trunk/services/templates/versions_diff.ihtml	(revision 457)
@@ -1,3 +1,3 @@
-<div id="commandbox">
+<div class="commandbox">
 <?php if (!getFormData('current', false)) { ?>
     <span class="sc-nowrap commanditem"><a href="<?php echo $app->oHREF($_SERVER['PHP_SELF'] . '?op=restore', array('version_id', 'version_title')); ?>"><?php echo _("Restore this saved version"); ?></a></span>
Index: trunk/services/templates/versions_view.ihtml
===================================================================
--- trunk/services/templates/versions_view.ihtml	(revision 441)
+++ trunk/services/templates/versions_view.ihtml	(revision 457)
@@ -1,3 +1,3 @@
-<div id="commandbox">
+<div class="commandbox">
 <span class="sc-nowrap commanditem"><a href="<?php echo $app->ohref(oTxt($_SERVER['PHP_SELF'])); ?>"><?php echo _("Back to the Versions List"); ?></a></span>
 <?php if (!getFormData('current', false)) { ?>
Index: trunk/services/versions.php
===================================================================
--- trunk/services/versions.php	(revision 441)
+++ trunk/services/versions.php	(revision 457)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -27,6 +27,6 @@
 // require_once dirname(__FILE__) . '/_config.inc.php';
 
+$app->sslOn();
 $auth->requireLogin();
-$app->sslOn();
 
 require_once 'codebase/lib/Version.inc.php';
@@ -38,5 +38,5 @@
 
 // Since we're using the singleton pattern we can instantiate a Version object earlier with custom parameters.
-$version =& Version::getInstance($auth);    
+$version =& Version::getInstance($auth);
 
 // Query arguments to retain their values between page requests.