Index: branches/eli_branch/bin/module_maker/_config.inc.php
===================================================================
--- branches/eli_branch/bin/module_maker/_config.inc.php	(revision 451)
+++ branches/eli_branch/bin/module_maker/_config.inc.php	(revision 467)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -27,5 +27,5 @@
     // Determine common site directory.
     $common_base = realpath($_SERVER['argv'][1]);
-    
+
     // First arg is path to current site. Realpath removes trailing /s
     define('COMMON_BASE', $common_base);
Index: branches/eli_branch/bin/module_maker/list_template.cli.php
===================================================================
--- branches/eli_branch/bin/module_maker/list_template.cli.php	(revision 451)
+++ branches/eli_branch/bin/module_maker/list_template.cli.php	(revision 467)
@@ -116,7 +116,7 @@
             $listrows[] = "<\x3fphp echo '9999-12-31' == \$list[\$i]['$field'] ? '' : date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
         } else if (preg_match('/datetime/i', $type)) {
-            $listrows[] = "<\x3fphp echo '0000-00-00 00:00:00' == \$list[\$i]['$field'] ? '' : date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
+            $listrows[] = "<\x3fphp echo Validator::validateStrDate(\$list[\$i]['$field']) ? date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])) : ''; \x3f>";
         } else if (preg_match('/date/i', $type)) {
-            $listrows[] = "<\x3fphp echo '0000-00-00' == \$list[\$i]['$field'] ? '' : date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])); \x3f>";
+            $listrows[] = "<\x3fphp echo Validator::validateStrDate(\$list[\$i]['$field']) ? date(\$app->getParam('date_format'), strtotime(\$list[\$i]['$field'])) : ''; \x3f>";
         } else if (preg_match('/(amount|_rate)/i', $field)) {
             $listrows[] = "<\x3fphp printf('$%01.2f', \$list[\$i]['$field']); \x3f>";
@@ -140,5 +140,5 @@
 <\x3fphp \$fv->printErrorMessages(); \x3f>
 
-<div id="commandbox">
+<div class="commandbox">
 <form action="<\x3fphp echo oTxt(\$_SERVER['PHP_SELF']); \x3f>" method="get">
 <\x3fphp \$app->printHiddenSession(false); \x3f>
@@ -148,5 +148,5 @@
     <input type="text" class="sc-small" size="20" name="search_query" value="<\x3fphp echo getFormData('search_query'); \x3f>" title="<\x3fphp echo oTxt(_("Fields searched: __///__.")); \x3f>" />
     <select name="filter___///__">
-        <\x3fphp // printSelectForm('__///___tbl', "CONCAT(__///___id, '&mdash;', city, '&mdash;', title)", '__///___id', getFormData('filter___///__'), array('Any __///__'), 'ORDER BY __///__ ASC'); \x3f>
+        <\x3fphp // printSelectForm('__///___tbl', "CONCAT(__///___id, '&mdash;', city, '&mdash;', title)", '__///___id', getFormData('filter___///__'), array('' => 'Any __///__'), 'ORDER BY __///__ ASC'); \x3f>
     </select>
     <input type="submit" name="list" value="<\x3fphp echo _("Search"); \x3f>" />
Index: branches/eli_branch/bin/module_maker/skel/adm_list.ihtml
===================================================================
--- branches/eli_branch/bin/module_maker/skel/adm_list.ihtml	(revision 451)
+++ branches/eli_branch/bin/module_maker/skel/adm_list.ihtml	(revision 467)
@@ -2,5 +2,5 @@
 <?php $fv->printErrorMessages(); ?>
 
-<div id="commandbox">
+<div class="commandbox">
     <span class="sc-nowrap commandtext"><a href="<?php echo $app->oHREF($_SERVER['PHP_SELF'] . '?op=add'); ?>"><?php echo _("Add %ITEM_TITLE%"); ?></a></span>
     <form action="<?php echo oTxt($_SERVER['PHP_SELF']); ?>" method="get" class="sc-form">
@@ -8,5 +8,5 @@
         <input type="text" class="sc-small" size="20" name="search_query" value="<?php echo getFormData('search_query'); ?>" title="<?php echo oTxt(_("Fields searched: __///__ %SEARCH_FIELDS%.")); ?>" />
         <select name="filter___///__" class="sc-small">
-            <?php // printSelectForm('__///___tbl', "CONCAT(__///___id, '&mdash;', city, '&mdash;', title)", '__///___id', getFormData('filter___///__'), array('Any __///__'), 'ORDER BY __///__ ASC'); ?>
+            <?php // printSelectForm('__///___tbl', "CONCAT(__///___id, '&mdash;', city, '&mdash;', title)", '__///___id', getFormData('filter___///__'), array('' => 'Any __///__'), 'ORDER BY __///__ ASC'); ?>
         </select>
         <input type="submit" value="<?php echo _("Filter"); ?>" />