Index: trunk/bin/acl.cli.php
===================================================================
--- trunk/bin/acl.cli.php	(revision 461)
+++ trunk/bin/acl.cli.php	(revision 468)
@@ -5,5 +5,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -12,10 +12,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -113,6 +113,6 @@
         break;
     case 'all' :
-        listObjects('root', 'aro');                               
-        listObjects('root', 'aco');                               
+        listObjects('root', 'aro');
+        listObjects('root', 'aco');
         listObjects('root', 'axo');
         break;
@@ -238,9 +238,9 @@
 but could just as easily be SPICES -> CUISINES -> DISHES. A privilege is
 allowed if a user (ARO) can perform an action (ACO) on something (AXO).
-For example, with an `ARO->ACO->AXO` of `Bob->edit->4`, Bob can edit article 4. 
-If the AXO were omitted (i.e. just `Bob->edit`), this becomes "Bob can edit" 
+For example, with an `ARO->ACO->AXO` of `Bob->edit->4`, Bob can edit article 4.
+If the AXO were omitted (i.e. just `Bob->edit`), this becomes "Bob can edit"
 (he can edit any object).
 
-Each access object is stored as a node in hierarchical tree structures. 
+Each access object is stored as a node in hierarchical tree structures.
 A permission granted to a node is applied to all its children. If a child
 node is specified a different permission that is more specific than
@@ -252,5 +252,5 @@
 
 Where command is any of the following (with arguments):
-    
+
     initdb
     list [aro | aco | axo | all | perms]
@@ -268,8 +268,8 @@
     revoke aro [aco] [axo]
     delete [aro] [aco] [axo]
-    
-
-For the add*, mv*, grant, and revoke commands if any of the optional 
-args are not provided, 'root' is assumed. For the delete command 
+
+
+For the add*, mv*, grant, and revoke commands if any of the optional
+args are not provided, 'root' is assumed. For the delete command
 'null' is considered a wild-card to delete all objects of that type.
 
@@ -297,5 +297,5 @@
     $db =& DB::getInstance();
     global $this_script;
-    
+
     echo "\n";
 
@@ -324,7 +324,7 @@
     $qid = $db->query("SELECT lft, rgt FROM $tbl WHERE name = '" . $db->escapeString($root) . "'");
     list($lft, $rgt) = mysql_fetch_row($qid);
-    
+
     $depth = array();
-    
+
     // Retrieve all descendants of the root node
     $qid = $db->query("SELECT name, lft, rgt, added_datetime FROM $tbl WHERE lft BETWEEN $lft AND $rgt ORDER BY lft ASC");
@@ -334,8 +334,8 @@
             array_pop($depth);
         }
-    
+
         // Display indented node title.
         printf("%-35s %-5s %-5s %s\n", str_repeat('    ', sizeof($depth)) . $name, $lft, $rgt, date($app->getParam('date_format'), strtotime($added_datetime)));
-        
+
         // Add this node to the stack.
         $depth[] = $rgt;
@@ -356,5 +356,5 @@
     $db =& DB::getInstance();
     global $this_script;
-    
+
     // Retrieve access value from db.
     $qid = $db->query("
@@ -371,7 +371,6 @@
     while ($p = mysql_fetch_assoc($qid)) {
         printf("%-25s %-25s %-25s \033[0;%sm%-6s\033[0m %-10s\n", $p['aro'], $p['aco'], $p['axo'], ('allow' == $p['access'] ? '32' : '31'), $p['access'], date($app->getParam('date_format'), strtotime($p['added_datetime'])));
-    }    
-}
-
-
-?>
+    }
+}
+
+
Index: trunk/bin/file_importer.php
===================================================================
--- trunk/bin/file_importer.php	(revision 461)
+++ trunk/bin/file_importer.php	(revision 468)
@@ -123,3 +123,2 @@
 // }
 // 
-// ?>
Index: trunk/bin/module_maker/_config.inc.php
===================================================================
--- trunk/bin/module_maker/_config.inc.php	(revision 461)
+++ trunk/bin/module_maker/_config.inc.php	(revision 468)
@@ -73,3 +73,2 @@
 
 
-?>
Index: trunk/bin/module_maker/form_template.cli.php
===================================================================
--- trunk/bin/module_maker/form_template.cli.php	(revision 461)
+++ trunk/bin/module_maker/form_template.cli.php	(revision 468)
@@ -249,4 +249,2 @@
 
 echo join("\n", $output);
-
-?>
Index: trunk/bin/module_maker/list_template.cli.php
===================================================================
--- trunk/bin/module_maker/list_template.cli.php	(revision 461)
+++ trunk/bin/module_maker/list_template.cli.php	(revision 468)
@@ -36,5 +36,5 @@
     $db_tbl = $_SERVER['argv'][2];
 } else {
-    die(sprintf("Usage: %s site_directory db_table [operation]\nValid operations include: %s", basename($_SERVER['argv'][0]), join(', ', $valid_ops)));
+    die(sprintf("Usage: %s site_directory db_table [operation]\nValid operations include: %s\n", basename($_SERVER['argv'][0]), join(', ', $valid_ops)));
 }
 
@@ -213,4 +213,2 @@
 
 E_O_F;
-
-?>
Index: trunk/bin/module_maker/module.cli.php
===================================================================
--- trunk/bin/module_maker/module.cli.php	(revision 461)
+++ trunk/bin/module_maker/module.cli.php	(revision 468)
@@ -596,4 +596,2 @@
     }
 }
-
-?>
Index: trunk/bin/module_maker/skel/admin.php
===================================================================
--- trunk/bin/module_maker/skel/admin.php	(revision 461)
+++ trunk/bin/module_maker/skel/admin.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -236,5 +236,5 @@
 	$db =& DB::getInstance();
 	$app =& App::getInstance();
-	
+
     $lock->select('%DB_TBL%', '%PRIMARY_KEY%', $id);
     if ($lock->isLocked() && !$lock->isMine()) {
@@ -278,5 +278,5 @@
 	$db =& DB::getInstance();
 	$app =& App::getInstance();
-	
+
     $lock->select('%DB_TBL%', '%PRIMARY_KEY%', $id);
     if ($lock->isLocked() && !$lock->isMine()) {
@@ -314,5 +314,5 @@
 	$db =& DB::getInstance();
 	$app =& App::getInstance();
-	
+
     // Remove any stale cached list data.
     $cache->delete('list');
@@ -337,5 +337,5 @@
 	$db =& DB::getInstance();
 	$app =& App::getInstance();
-    
+
     $lock->select('%DB_TBL%', '%PRIMARY_KEY%', $frm['%PRIMARY_KEY%']);
     if ($lock->isLocked() && !$lock->isMine()) {
@@ -364,7 +364,7 @@
     global $tmp_prefs;
     global $cache;
-	$db =& DB::getInstance();	
-	$app =& App::getInstance();
-    
+	$db =& DB::getInstance();
+	$app =& App::getInstance();
+
     $where_clause = '';
 
@@ -379,5 +379,5 @@
     if (getFormData('filter___///__', false)) {
         // Limit by filter.
-        $where_clause .= (empty($where_clause) ? 'WHERE' : 'AND') . " __///__ = '" . $db->escapeString(getFormData('filter___///__')) . "'";
+        $where_clause .= (empty($where_clause) ? 'WHERE' : ' AND') . " __///__ = '" . $db->escapeString(getFormData('filter___///__')) . "'";
     }
 
@@ -425,5 +425,5 @@
         return $list;
     }
-    
+
     // The list was not cached, so issue the real query.
     $qid = $db->query($sql);
@@ -445,5 +445,5 @@
 	$db =& DB::getInstance();
 	$app =& App::getInstance();
-	
+
     if (!is_array($ranks)) {
         $app->logMsg('Saving rank failed, data posted is not an array: ' . $ranks, LOG_ERR, __FILE__, __LINE__);
@@ -476,4 +476,2 @@
     }
 }
-
-?>
Index: trunk/bin/module_maker/skel/public.php
===================================================================
--- trunk/bin/module_maker/skel/public.php	(revision 461)
+++ trunk/bin/module_maker/skel/public.php	(revision 468)
@@ -145,3 +145,2 @@
 include 'footer.ihtml';
 
-?>
Index: trunk/bin/module_maker/sql.cli.php
===================================================================
--- trunk/bin/module_maker/sql.cli.php	(revision 461)
+++ trunk/bin/module_maker/sql.cli.php	(revision 468)
@@ -5,5 +5,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -12,10 +12,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -36,5 +36,5 @@
     $db_tbl = $_SERVER['argv'][2];
 } else {
-    die(sprintf("Usage: %s site_directory db_table [operation]\nValid operations include: %s", basename($_SERVER['argv'][0]), join(', ', $valid_ops)));
+    die(sprintf("Usage: %s site_directory db_table [operation]\nValid operations include: %s\n", basename($_SERVER['argv'][0]), join(', ', $valid_ops)));
 }
 
@@ -218,3 +218,2 @@
 
 echo isset($op) ? '' : "\n\n\n";
-?>
Index: trunk/bin/module_maker/validation.cli.php
===================================================================
--- trunk/bin/module_maker/validation.cli.php	(revision 461)
+++ trunk/bin/module_maker/validation.cli.php	(revision 468)
@@ -309,3 +309,2 @@
     " . join("\n    ", $o) . "
 }";
-?>